#
# spec file for package rubygem-orm_adapter
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-orm_adapter
Version:        0.5.0
Release:        7.3
%define mod_name orm_adapter
%define mod_full_name %{mod_name}-%{version}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 1
Url:            http://github.com/ianwhite/orm_adapter
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        orm_adapter provides a single point of entry for using basic
License:        MIT
Group:          Development/Languages/Ruby

%description
Provides a single point of entry for using basic features of ruby ORMs

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description testsuite
Test::Unit or RSpec files, useful for developers.

%prep
#gem_unpack
#if you need patches, apply them here and replace the # with a % sign in the surrounding lines
#gem_build

%build

%install
%gem_install -f
mkdir -p %{buildroot}%{_docdir}/%{name}
ln -s %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/History.txt %buildroot/%{_docdir}/%{name}/History.txt
ln -s %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/LICENSE %buildroot/%{_docdir}/%{name}/LICENSE
ln -s %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/README.rdoc %buildroot/%{_docdir}/%{name}/README.rdoc

%files
%defattr(-,root,root,-)
%{_docdir}/%{name}
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%exclude %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/spec
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%files testsuite
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/spec

%changelog
* Fri Nov 22 2013 coolo@suse.com
- updated to version 0.5.0
  * Only send relation modifiers to ActiveRecord if they apply (don't send #order, #limit, #offset unless specified)
    Fixes plataformatec/devise#2711, ianwhite/orm_adapter#22
  * Adds activerecord 4 to the test suite
* Sun Jul 29 2012 coolo@suse.com
- v0.4.0
  * Adds :limit, and :offset options to #find_all
  - v0.3.0
  * Removes OrmAdapter::Base.model_classes and friends.
  * Add note about the scope of ORM Adapter re: model instance methods
  - v0.2.0
  * Normalise :id in find conditions
  * Allow find_first and find_all to take no arguments
  - v0.1.0
  * Add #destroy(object) to the API
* Thu May 31 2012 lslezak@suse.cz
- updated to 0.0.7:
  * Lazy load Active Record
* Tue Jan 31 2012 lslezak@suse.cz
- initial version
- 0.0.6
